For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/post-api-contacts-v1suppressions.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: https://reloop.sh/mcp.
Add Suppression
POST
/api/contacts/v1/suppressions
1const response = await fetch("https://reloop.sh/api/contacts/v1/suppressions", {2 method: "POST",3 headers: {4 "Authorization": "Bearer re_123456789",5 "Content-Type": "application/json",6 },7 body: JSON.stringify({8 "email": "john.doe@example.com",9 "reason": "Asked to never be contacted again"10})11});12
13const data = await response.json();1{2 "object": "suppression",3 "contactId": "example_contactId",4 "email": "john.doe@example.com",5 "suppressionSource": "manual",6 "suppressionNote": "example_suppressionNote",7 "suppressedAt": "2026-03-23T10:00:00.000Z"8}Body Parameters
emailstringRequired
Email address to stop sending to
- Maximum length:
255
reasonstringRequired
Why this address is being suppressed
- Maximum length:
500
Was this page helpful?